• Installing GTK-Theme-Arc


    I installed Antergos GNOME again on my laptop (yay!), all is going smoothly, except when I try to install gtk-theme-arc. My terminal output is

    : Retrieving packages...
     gtk-theme-arc-20160923-2-any                      273.4 KiB   804K/s 00:00 [##########################################] 100%
     gtk-engine-murrine-0.98.2-2-x86_64                 80.6 KiB   513K/s 00:00 [##########################################] 100%
    (2/2) checking keys in keyring                                              [##########################################] 100%
    (2/2) checking package integrity                                            [##########################################] 100%
    error: gtk-theme-arc: signature from "Antergos Build Server (Automated Package Build System) <admin@antergos.org>" is invalid
    :: File /var/cache/pacman/pkg/gtk-theme-arc-20160923-2-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
    Do you want to delete it? [Y/n] Y
    error: failed to commit transaction (invalid or corrupted package (PGP signature))
    Errors occurred, no packages were upgraded.
    

    Is it something I did wrong? Should I try something else?

    Thank you in advance.

  • I’d clean the pacman’s cache, force a rebuilding of repos databases, upgrade the system, and try to install the package again:

    sudo pacman -Scc
    sudo pacman -Syyu gtk-theme-arc
    
  • @just Done your suggested steps, still the same error.

  • @Noctem Aside of downloading the package by hand and installing it locally, I have no other ideas for the moment.

  • @Noctem said in Installing GTK-Theme-Arc:

    error: gtk-theme-arc: signature from “Antergos Build Server (Automated Package Build System) admin@antergos.org” is invalid

    Hi:
    Try

    sudo pacman-key --init  
    sudo pacman-key --populate archlinux antergos
    

    If it takes too long to do so, you have to create entropy
    You open another console

    Ls -R /
    

    A later install … gtk-theme-arc

  • Probably irrelevant by I also tried to install Adapta (gtk-theme-adapta) and got the following:
    “error: failed retrieving file ‘gtk-theme-adapta-3.22.3.20-1-any.pkg.tar.xz’ from mirrors.antergos.com : Maximum file size exceeded”

    Though i successfully installed gthumb and gnome-todo afterwards.

    I’m feeling a bit unlucky on customizing GNOME now…

    @Archrysler those steps regretfully didn’t work either.

  • Update : Adapta GTK theme now downloads, but I get the same error as in Arc GTK theme

    error: gtk-theme-adapta: signature from “Antergos Build Server (Automated Package Build System) admin@antergos.org” is invalid
    :: File /var/cache/pacman/pkg/gtk-theme-adapta-3.22.3.20-1-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).

  • Antergos Build Server (ABS) rebuilds gtk-theme-arc and gtk-theme-adapta in these hours.

  • @Noctem

    Try

    pacman-key --refresh-keys
    

    Later try install

  • @Archrysler Didn’t work either! Will wait for an update from the ABS.

  • I had the same problem yesterday. I tried repopulating my keys to no avail. After seeing this message today, I tried wiping my cache and then repopulating my keys again and the update worked. Thanks!

  • Still not installing for me… I am at a loss right now.

  • Did anyone have luck installing gtk-theme-adapta? Arc is gone from the repositories (earlier that I checked).

  • I had an error like this for pamac at one time, quite awhile ago.
    Well, I went thruit again an DID NOT DELETE the file.
    Instead, I believe it tells you that it is stored in tmp/yaourt or maybe just /var/cache/pacman/pkg
    in either case just cd to the directory as ROOT user and do a pacman -U on the file.
    Worked for me, ymmv

  • The Arc GTK theme is now in the Arch repos. Its called arc-gtk-theme (not sure why they deviated from the naming scheme that the other theme packages follow…but I digress :stuck_out_tongue_winking_eye: )

  • arc-gtk-theme installs without an issue. Adapta still has the same error, but I won’t bother with it anymore.

    Thank you all for your input.

    Edit : From Gnome-Web I cannot mark the thread as solved. If a moderator be kind to mark is as solved!

installing59 gtk-theme-arc3 Posts 17Views 2038
Log in to reply